/***********************************************************************/
/*  Copyright (C)           Microcyber Inc. All Rights Reserved        */
/*  File-Name:              MC_YT.inc                                  */
/*                                                                     */
/*  Revision:  1.0                                                     */
/*  Date:      2008-06-10                                              */
/*  Author:    Ning Dekui                                              */
/***********************************************************************/

/*---------------------------------------------------------------------*/
/*    Y t diagram                                                      */
/*---------------------------------------------------------------------*/
MENU OnlineWindow_yt
{
	LABEL  [menu_yt_diagram] ;
	ITEMS
	{
		Page_process_yt_1,
        Page_process_yt_2,
        Page_process_yt_3,
        Page_process_yt_4,
        Page_process_yt_5,
        Page_process_yt_6,
        Page_process_yt_7,
        Page_process_yt_8
	}
}

//Page of Function Block 1

MENU Page_process_yt_1
{
	LABEL "FB - 1 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_1,
		OCX_out_display_yt_1
	}
}

MENU Val_out_yt_1
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_1_out_value          (READ_ONLY),
	}
}

MENU OCX_out_display_yt_1
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_1,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_1
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_1_out_value              (READ_ONLY),
		func1_AI_1_out_lower_range_value  (READ_ONLY),
		func1_AI_1_out_upper_range_value  (READ_ONLY)
	}
}

//Page of Function Block 2:

MENU Page_process_yt_2
{
	LABEL "FB - 2 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_2,
		OCX_out_display_yt_2
	}
}

MENU Val_out_yt_2
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_2_out_value          (READ_ONLY)
	}
}

MENU OCX_out_display_yt_2
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_2,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_2
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_2_out_value              (READ_ONLY),
		func1_AI_2_out_lower_range_value  (READ_ONLY),
		func1_AI_2_out_upper_range_value  (READ_ONLY)
	}
}

//Page of Function Block 3

MENU Page_process_yt_3
{
	LABEL "FB - 3 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_3,
		OCX_out_display_yt_3
	}
}

MENU Val_out_yt_3
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_3_out_value          (READ_ONLY)
	}
}

MENU OCX_out_display_yt_3
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_3,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_3
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_3_out_value              (READ_ONLY),
		func1_AI_3_out_lower_range_value  (READ_ONLY),
		func1_AI_3_out_upper_range_value  (READ_ONLY)
	}
}

//Page of Function Block 4

MENU Page_process_yt_4
{
	LABEL "FB - 4 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_4,
		OCX_out_display_yt_4
	}
}

MENU Val_out_yt_4
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_4_out_value          (READ_ONLY)
	}
}

MENU OCX_out_display_yt_4
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_4,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_4
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_4_out_value              (READ_ONLY),
		func1_AI_4_out_lower_range_value  (READ_ONLY),
		func1_AI_4_out_upper_range_value  (READ_ONLY)
	}
}

//Page of Function Block 5

MENU Page_process_yt_5
{
	LABEL "FB - 5 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_5,
		OCX_out_display_yt_5
	}
}

MENU Val_out_yt_5
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_5_out_value          (READ_ONLY)
	}
}

MENU OCX_out_display_yt_5
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_5,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_5
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_5_out_value              (READ_ONLY),
		func1_AI_5_out_lower_range_value  (READ_ONLY),
		func1_AI_5_out_upper_range_value  (READ_ONLY)
	}
}

//Page of Funciton Block 6

MENU Page_process_yt_6
{
	LABEL "FB - 6 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_6,
		OCX_out_display_yt_6
	}
}

MENU Val_out_yt_6
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_6_out_value          (READ_ONLY)
	}
}

MENU OCX_out_display_yt_6
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_6,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_6
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_6_out_value              (READ_ONLY),
		func1_AI_6_out_lower_range_value  (READ_ONLY),
		func1_AI_6_out_upper_range_value  (READ_ONLY)
	}
}

//Page of Function Block 7

MENU Page_process_yt_7
{
	LABEL "FB - 7 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_7,
		OCX_out_display_yt_7
	}
}

MENU Val_out_yt_7
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_7_out_value          (READ_ONLY)
	}
}

MENU OCX_out_display_yt_7
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_7,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_7
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_7_out_value              (READ_ONLY),
		func1_AI_7_out_lower_range_value  (READ_ONLY),
		func1_AI_7_out_upper_range_value  (READ_ONLY)
	}
}

//Page of Function Block 8

MENU Page_process_yt_8
{
	LABEL "FB - 8 Output";
	ITEMS
	{
//            Val_mv_yt,
//            Val_temp_yt,
        Val_out_yt_8,
		OCX_out_display_yt_8
	}
}

MENU Val_out_yt_8
{
    LABEL [func_out_value] ;
	STYLE		"OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_8_out_value          (READ_ONLY)
	}
}

MENU OCX_out_display_yt_8
{
	LABEL  [menu_yt_diagram] ;
	STYLE  "PDMTVPROXY.PDMTVProxyCtrl.1";
	ITEMS
	{
		OCX_ProfilNum_yt,
		OCX_out_display_yt_AI_8,
		OCX_UserSettings_yt
	}
}

MENU OCX_out_display_yt_AI_8
{
	STYLE  "OCX_DYNAMIC_YT";
	ITEMS
	{
		func1_AI_8_out_value              (READ_ONLY),
		func1_AI_8_out_lower_range_value  (READ_ONLY),
		func1_AI_8_out_upper_range_value  (READ_ONLY)
	}
}

VARIABLE OCX_ProfilNum_yt
{
	LABEL  "ProfilID";
	STYLE  "OCX_PROPERTY";
	CLASS  LOCAL;
	TYPE  INTEGER(2)
	{
		DEFAULT_VALUE 0;
	}
	HANDLING    READ;
}

VARIABLE OCX_UserSettings_yt
{
	LABEL  "UserSettings";
	STYLE  "OCX_PROPERTY";
	CLASS  LOCAL;
	TYPE  ASCII (1000)
	{
		DEFAULT_VALUE "";
	}
	HANDLING READ & WRITE;
}
